Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class IDLTypePOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.IDLTypePOA
                  |
                  +--org.omg.CORBA.IDLTypePOATie

All Implemented Interfaces:
  IDLTypeOperations, InvokeHandler, IRObjectOperations

public class IDLTypePOATie
extends IDLTypePOA

The base interface IDLType is inherited by all IR objects that represent OMG IDL types. It provides access to the TypeCode describing the type, and is used in defining other interfaces wherever definitions of IDL types must be referenced.

Constructor Summary
`IDLTypePOATie(IDLTypeOperations tieObject)` Constructor
`IDLTypePOATie(IDLTypeOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`IDLTypeOperations` | `_delegate()` Get the delegate
`void` | `_delegate(IDLTypeOperations delegate_)` Set the delegate
`DefinitionKind` | `def_kind()` Read accessor for def_kind attribute
`void` | `destroy()` Operation destroy
`TypeCode` | `type()` Read accessor for type attribute

Methods inherited from class org.omg.CORBA.IDLTypePOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDLTypePOATie

    public IDLTypePOATie(IDLTypeOperations tieObject)

  Constructor

### IDLTypePOATie

    public IDLTypePOATie(IDLTypeOperations tieObject,
                         POA poa)

  Constructor

Method Detail

### _delegate

    public IDLTypeOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(IDLTypeOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### type

    public TypeCode type()

  Read accessor for type attribute

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute

### destroy

    public void destroy()

  Operation destroy

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD